Skip to content

computers.useDesktop

POST
/v1/computers/{computerId}/desktop/actions
curl --request POST \
--url https://example.com/v1/computers/example/desktop/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "actions": [ { "_tag": "Click", "x": 1, "y": 1, "button": "left", "double": true } ] }'

Does the actions in order, then takes a screenshot.

computerId
required
string
>= 1 characters <= 128 characters
Media typeapplication/json
object
actions
required
Array
>= 1 items <= 50 items
Any of:
object
_tag
required
string
Allowed values: Click
x
required
integer
<= 9007199254740991
y
required
integer
<= 9007199254740991
button
string
Allowed values: left right middle
double
boolean

Success

Media typeapplication/json
object
mediaType
required
string
Allowed values: image/png
data
required
string
width
required
integer
>= -9007199254740991 <= 9007199254740991
height
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"mediaType": "image/png"
}

ComputerInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ComputerInvalid
message
required
string

Example

{
"_tag": "ComputerInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

@nmnmcc/ability/Authorizer/Forbidden | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Forbidden
action
required
string
kind
required
string
field
string
reason
string

Example

{
"_tag": "Forbidden"
}

ComputerNotFound | ComputerPathNotFound | ComputerSessionNotFound | ComputerProviderNotFound | PairingInvalid

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ComputerNotFound
id
required
string

Example

{
"_tag": "ComputerNotFound"
}

@nmnmcc/ability/Authorizer/Pending | ComputerProviderInUse | ComputerConflict | ComputerUnsupported | ComputerNotReady

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: Pending
ticket
required
string
reason
string

Example

{
"_tag": "Pending"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

ComputerProviderFailed | ComputerExecutionFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: ComputerProviderFailed
message
required
string

Example

{
"_tag": "ComputerProviderFailed"
}

ComputersUnavailable | AuthenticationUnavailable | RequestFailed

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PolicyUnavailable

Example

{
"_tag": "PolicyUnavailable"
}